Subject: SAP List CV

From: [email-masked]
Date: Wed, 8 Jun 94 10:09:21 EDT

Capabilities RIGlet,
 Here is a suggestion for the SAP list CV. Please look it over and comment.

Wayne,
 I just noticed that your updated CV's have been added to the maillogs for
capabilities exchange but I did not receive mail from the mail exploder when
you put it there. I wonder if anybody else did?

Also, when is the deadline for all comments to these issues?

>    Issue 15    SAP List CV requirements
>
>                Not sure about this one.
>
>                Updated format: no proposal.  Can someone lend a hand here?
>

How about a simple bit vector. It could represent any SAP value supported
on all of the DLSw configured interfaces. This could account for all 128
SAP's in 16 Bytes.

        xx xx xx xx xx xx xx xx xx xx xx xx xx xx xx xx
         |  |                                         |
         |  Byte one would describe                   |
         |  all SAP's starting with '1'               |
         |                                            |
         Byte zero would describe            etc...   |
         all SAP's starting with '0'                  |
                                                      Byte fifteen would
                                                      describe all SAP's
                                                      starting with 'F'

        Byte        Contents
        ----        --------
          0         xxxx xxxx
                    |||| ||||
                    |||| |||SAP '00' enabled or not
                    |||| |||
                    |||| ||SAP '02' enabled or not
                    |||| ||
                    |||| |SAP '04' enabled or not
                    |||| |
                    |||| SAP '06' enabled or not
                    ||||
                    |||SAP '08' enabled or not
                    |||
                    ||SAP '0A' enabled or not
                    ||
                    |SAP '0C' enabled or not
                    |
                    SAP '0E' enabled or not

        Byte        Contents
        ----        --------
          1         xxxx xxxx
                    |||| ||||
                    |||| |||SAP '10' enabled or not
                    |||| |||
                    |||| ||SAP '12' enabled or not
                    |||| ||
                    |||| |SAP '14' enabled or not
                    |||| |
                    |||| SAP '16' enabled or not
                    ||||
                    |||SAP '18' enabled or not
                    |||
                    ||SAP '1A' enabled or not
                    ||
                    |SAP '1C' enabled or not
                    |
                    SAP '1E' enabled or not

         etc....

I think you get the point!

        +---------------------------------------------------------------+
        |   SAP Support (X'xx') Control Vector                          |
        |                                                               |
        |       The SAP Support control vector identifies a list of     |
        |       all enabled SAP's on the sending Data Link Switch.      |
        |       This control vector is optional.  If it is omitted in   |
        |       a DLSw Capabilities Exchange, then all SAP's are        |
        |       considered to be supported.                             |
        |                                                               |
        +---------------------------------------------------------------+

        Offset  Length  Value       Contents
        ------  ------  -----       --------
           0       1    X'18'       Length of the SAP Support structured
                                    subfield
           1       1    X'xx'       key = X'xx' that identifies this as the
                                    SAP Support structured subfield
          2-17    16                the 16-byte bit vector describing all
                                    even numbered SAP's enabled

        +---------------------------------------------------------------+

.-----------------------------------------------------------------------------
| Steve Petriccione: [email-masked]
| Data Link Switch Development
| International Business Machines Corp.
| Research Triangle Park, NC							
'-----------------------------------------------------------------------------